package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.CheckItemsDo;
import com.rongwei.rwcommon.base.R;

import java.util.List;
import java.util.Map;


/**
 * 检查对象表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-07-17 09:33:23
 */
public interface CheckItemsService extends IService<CheckItemsDo> {

    String deleteValidate(List<String> ids);

    IPage<CheckItemsDo> spareList(Page page);

    void reportEquMessage();

    R stateUpdateScheduledTasks();

    R importExcel(Map<String, String> queryParameter);
}

